* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
  font-family: "inter", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;
  overflow-x: hidden;
  scroll-behavior: smooth;
}

.main-nav-list {
  list-style: none;
  display: flex;
  gap: 3.2rem;
}

.main-nav-link:link,
.main-nav-link:visited {
  display: inline-block;
  text-decoration: none;
  color: #333;
  font-weight: 500;
  font-size: 1.8rem;
}

.main-nav-link:hover,
.main-nav-link:active {
  color: #cf711f;
}

.main-nav-link.nav-cta:link,
.main-nav-link.nav-cta:visited {
  padding: 1.6rem 3.2rem;
  border-radius: 9px;
  color: #fff;
  background-color: #e67e22;
}
.main-nav-link.nav-cta :hover,
.main-nav-link.nav-cta:active {
  background-color: #cf711f;
}

.section-hero {
  background-color: #fdf2e9;
  padding: 4.8rem 9.6rem 0;
}

.hero {
  max-width: 130rem;
  margin: 0 auto;
  padding: 0 3.2rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 9.6rem;
  align-items: center;
}

.heading-primary,
.heading-secondary,
.heading-tertiary {
  font-weight: 700;
  color: #333;
  /*color: #2e1907;*/
  letter-spacing: -0.5px;
}

.heading-primary {
  font-size: 5.2rem;
  line-height: 1.05;
  margin-bottom: 3.2rem;
}

.heading-secondary {
  font-size: 4.4rem;
  line-height: 1.2;
  margin-bottom: 9.6rem;
}

.subheading {
  display: block;
  font-size: 2rem;
  font-weight: 500;
  color: #e67e22;
  text-transform: uppercase;
  margin-bottom: 1.6rem;
  letter-spacing: 0.75px;
}

.hero-description {
  font-size: 2rem;
  line-height: 1.6;
  margin-bottom: 4.8rem;
}

.btn,
.btn:link,
.btn:visited {
  display: inline-block;

  text-decoration: none;
  font-weight: 600;
  background-color: #e67e22;
  color: #fff;
  padding: 1.6rem 3.2rem;
  font-size: 2rem;
  border-radius: 9px;
  transition: background-color 0.3s;
  border: none;
  cursor: pointer;
  font-family: inherit;
  transition: all 0.3s;
}

.btn--full:link,
.btn--full:visited {
  background-color: #e67e22;
  color: #fff;
  margin-right: 1.6rem;
}

.btn--full:hover,
.btn--full:active {
  background-color: #cf711f;
}

.btn--outline:hover,
.btn--outline:active {
  background-color: #fdf2e9;

  box-shadow: inset 0 0 0 3px #fff;
}

.btn--outline:link,
.btn--outline:visited {
  background-color: #fff;
  color: #555;
}

.hero-img {
  width: 100%;
}

.margin-right-sm {
  margin-right: 1.6rem !important;
}

.delivered-meals {
  display: flex;
  align-items: center;
  gap: 1.6rem;
  margin-top: 8rem;
}

.delivered-imgs {
  display: flex;
}

.delivered-imgs img {
  height: 4.8rem;
  width: 4.8rem;
  border-radius: 50%;
  margin-right: -1.6rem;
  border: 3px solid #fdf2e9;
}
.delivered-imgs img:last-child {
  margin: 0;
}
.delivered-text span {
  color: #cf711f;
  font-weight: 700;
}
.delivered-text {
  font-size: 1.8rem;
  font-weight: 600;
}

.logo {
  height: 2.4rem;
}




.sticky{

position: fixed;
top:0;
bottom: 0;
width: 100%;
height: 8rem;
padding-top:0 ;
padding-bottom: 0;
background-color: rgba(0, 0, 0, 0.97);
z-index: 999;
box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.3);

}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #fdf2e9;
  height: 9.6rem;
  padding: 0 4.8rem;
  position: relative;
}

/* section featured ***********************************************************/

.section-featured {
  padding: 4.8rem 0 3.2rem;
}

.heading-featured-in {
  font-size: 1.4rem;
  text-transform: uppercase;
  letter-spacing: 0.75px;
  font-weight: 500;
  text-align: center;
  margin-bottom: 2.4rem;
  color: #888;
}

.logos {
  display: flex;
  justify-content: space-between;
}
.logos img {
  height: 3.2rem;
  /* width:2rem ; */
  filter: opacity(0);
  opacity: 50%;
}

/* ******************************************************************* */

/***how it work section  **********************************************/

.section-how {
  padding: 9.6rem;
}

.container {
  max-width: 120rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.grid {
  display: grid;
  column-gap: 6.4rem;
  row-gap: 9.6rem;
  margin-bottom: 9.6rem;
}

.grid:last-child {
  margin-bottom: 0;
}
.grid:not(:last-child) {
  margin-bottom: 9.6rem;
}
.grid--2-cols {
  grid-template-columns: repeat(2, 1fr);
}

.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}

.grid--4-cols {
  grid-template-columns: repeat(4, 1fr);
}
.grid--5-cols {
  grid-template-columns: repeat(5, 1fr);
}

.grid--center-v {
  align-items: center;
}
.step-img-box {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

.step-img-box::before,
.step-img-box::after {
  content: "";
  display: block;

  border-radius: 50%;

  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.step-img-box::before {
  width: 80%;
  padding-bottom: 80%;

  background-color: #fdf2e9;
  z-index: -2;
}

.step-img-box::after {
  width: 50%;
  padding-bottom: 50%;
  background-color: #fae5d3;
  z-index: -1;
}

.step-img {
  width: 50%;
}

.step-number {
  font-size: 8.6rem;
  font-weight: 600;
  color: #eee;
  margin-bottom: 1.2rem;
}

.heading-tertiary {
  font-size: 3.6rem;
  line-height: 3rem;
  margin-bottom: 3.2rem;
}

.step-description {
  font-size: 2rem;
  line-height: 1.8;
}

/* Meaals section****************************************** */

.section-meals {
  padding: 9.6rem 0;
}
.meal {
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);
  border-radius: 12px;
  overflow: hidden;
  padding: 4.8rem;
  position: relative;
  transition: all 0.5s;
}
.meal:hover {
  transform: translateY(-1.2rem);
  box-shadow: 0 3.2rem 6.4rem rgba(0, 0, 0, 0.075);
}

/* .meal-content{
  padding: 2.2rem 3.8rem 3.8rem 3.8rem;
} */

.meal-tags {
  margin-bottom: 1.2rem;
  display: flex;
  gap: 0.4rem;
}
.tag {
  display: inline-block;
  padding: 0.4rem 0.8rem;
  font-size: 1.2rem;
  text-transform: uppercase;
  color: #333;
  border-radius: 100px;
}
.tag--vegetarian {
  background-color: #51cf66;
}
.tag--vegan {
  background-color: #94d82d;
}
.tag--paleo {
  background-color: #ffd43b;
}

.meal-title {
  font-size: 2.4rem;
  color: #333;
  font-weight: 600;
  margin-bottom: 3.2rem;
}

.meal-attributes {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.meal-icon {
  height: 2.4rem;
  width: 2.4rem;
  color: #e67e22;
}

.meal-attribute {
  font-size: 1.8rem;
  display: flex;
  align-items: center;
  gap: 1.6rem;
}

.meal-img {
  width: 100%;
}

.list {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
}

.list-item {
  font-size: 1.8rem;
  display: flex;
  align-items: center;
  gap: 1.6rem;
}

.list-icon {
  width: 3rem;
  height: 3rem;
  color: #e67e22;
}

.link:link,
.link:visited {
  display: inline-block;
  color: #e67e22;
  text-decoration: none;
  border-bottom: 1px solid currentColor;
  padding-bottom: 2px;
  transition: all 0.3s;
}

.center-text {
  text-align: center;
}

.link:hover,
.link:active {
  color: #cf711f;
  border-bottom: 1px solid transparent;
  transition: all 0.3s;
}

.margin-right-sm {
  margin-right: 1.6rem !important;
}
.margin-bottom-md {
  margin-bottom: 4.8rem !important;
}
.all-recipes {
  text-align: center;
  font-size: 1.8rem;
  padding-top: 40px;
}
/* testimonials**************************************** */
.section-testimonials {
  background-color: #fdf2e9;
  display: grid;
  grid-template-columns: 55fr 45fr;
  align-items: center;
}
.testimonials {
  display: grid;
  grid-template-columns: 1fr 1fr;
  row-gap: 4.8rem;
  column-gap: 8rem;
}

.testimonials-container {
  padding: 9.6rem;
}

.testimonial-img {
  width: 6.4rem;
  border-radius: 50%;
  margin-bottom: 1.2rem;
}
.testimonial-text {
  font-size: 1.8rem;
  line-height: 1.8;
  margin-bottom: 1.6rem;
}

.testimonial-name {
  font-size: 1.6rem;
  color: #6f6f6f;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.6rem;
  padding: 1.6rem;
}

.gallery-item {
  overflow: hidden;
}
.gallery-item img {
  display: black;
  width: 100%;
  transition: all 0.5s;
}

.gallery-item img:hover {
  transform: scale(1.5);
}

/* pricing***************************************** */

.section-pricing {
  padding: 9.6rem 0;
}

.plan-header {
  text-align: center;
  margin-bottom: 4.8rem;
}

.pricing-plan--starter {
  justify-self: end;
  border: 2px solid #fdf2e9;
  padding: 4.6rem;
}

.pricing-plan--complete {
  background-color: #fdf2e9;
  padding: 4.8rem;
  position: relative;
  overflow: hidden;
}

.pricing-plan--complete::after {
  content: "Best Value";
  position: absolute;
  top: 6%;
  right: -5%;
  text-transform: uppercase;
  font-weight: 700;
  color: #333;
  background-color: #ffd43b;
  padding: 0.8rem 3.2rem;
  transform: rotate(45deg);
}

.pricing-plan {
  text-align: center;
  background-color: #fdf2e9;
  border-radius: 11px;
  padding: 4.8rem;
  width: 75%;
}

.plan-name {
  color: #cf711f;
  font-weight: 600;
  font-size: 1.6rem;
  text-transform: uppercase;
  letter-spacing: 0.75;
  margin-bottom: 3.2rem;
}

.plan-price {
  font-size: 7.4rem;
  font-weight: 600;
  color: #333;
  margin: bottom 1.6rem;
}

.plan-price {
  font-size: 6.2rem;
  font-weight: 500;
  margin-bottom: 0.8rem;
}

.plan-text {
  font-size: 1.6rem;
  line-height: 1.6;
  color: #6f6f6f;
}

.plan-sing-up {
  text-align: center;
  margin-top: 4.8rem;
}

/* feature ***************************************************************** */

.feature-icon {
  color: #e67e22;
  height: 3.2rem;
  width: 3.2rem;
  background-color: #fdf2e9;
  margin-bottom: 3.2rem;
  padding: 1.6rem;
  border-radius: 50%;
}
.plan-details {
  font-size: 1.6rem;
  line-height: 1.6;
  text-align: center;
}

.feature-title {
  font-size: 2.4rem;
  color: #333;
  font-weight: 700;
  margin-bottom: 1.6rem;
}

.feature-text {
  font-size: 1.8rem;
  line-height: 1.8;
}

/* call to action ************************************************** */

section-cta {
  padding: 9.6rem 0 12.8rem 0;
}

.cta {
  display: grid;
  grid-template-columns: 2fr 1fr;
  /* background-color: #e67e22; */
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.15);
  border-radius: 11px;
  background-image: linear-gradient(to right bottom, #eb984e, #e67e22);
  overflow: hidden;
  height: 50rem;
}

.cta-text-box {
  padding: 4.8rem 6.4rem 6.4rem 6.4rem;
  color: #2e1907;
}

.cta .heading-secondary {
  color: #45260a;
  margin-bottom: 3.2rem;
}

.cta-text {
  font-size: 1.8rem;
  line-height: 1.8;
  margin-bottom: 4.8rem;
}

.cta-img-box {
  background-image: linear-gradient(
      to right bottom,
      rgba(235, 151, 78, 0.35),
      rgba(230, 125, 34, 0.35)
    ),
    url("./img/eating.jpg");
  background-size: cover;
  background-position: center;
}

/* form&************************ */

.cta-form {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 3.2rem;
  row-gap: 2.4rem;
}

.cta-form label {
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  margin-bottom: 1.2rem;
}

.cta-form input,
.cta-form select {
  width: 100%;
  padding: 1.2rem;
  font-size: 1.8rem;
  font-family: inherit;
  color: inherit;
  border: inherit;
  border: none;
  background-color: #fdf2e9;
  border-radius: 9px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
}

.cta-form input::placeholder {
  color: #aaa;
}

.btn--form {
  background-color: #45260a;
  color: #fdf2e9;
  align-self: end;
  padding: 1.2rem;
}

.btn--form:hover {
  background-color: #fff;
  color: #555;
}

*:focus {
  outline: none;
  box-shadow: 0 0 0 0.8rem rgba(253, 242, 233, 0.5);
}

/* footer*********************** */

.footer {
  padding: 12.8rem 0;
}

.logo-col {
  display: flex;
  flex-direction: column;
}

.footer-logo {
  display: block;
  margin-bottom: 3.2rem;
}

.social-links {
  list-style: none;
  display: flex;
  gap: 2.4rem;
}

.social-icon {
  height: 2.4rem;
  width: 2.4rem;
}

.copyright {
  font-size: 1.4rem;
  line-height: 1.6rem;
  color: #767676;
  margin-top: auto;
}

.footer-heading {
  font-size: 1.8rem;
  font-weight: 500;
  margin-bottom: 4rem;
}

.contacts {
  font-style: normal;
  font-size: 1.6rem;
  line-height: 1.6;
}
.address {
  margin-bottom: 2.4rem;
}

.footer-nav {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
}

.footer-link:link,
.footer-link:visited {
  text-decoration: none;
  font-size: 1.6rem;
  color: #767676;
  transition: all 0.3s;
}

.footer-link:hover,
.footer-link:active {
  color: #555;
}

/* media queries******************************** */

@media (max-width: 84empx) {
  .hero {
    max-width: 120rem;
  }

  .heading-primary {
    font-size: 4.4rem;
  }

  .gallary {
    grid-template-columns: repeat(2, 1fr);
  }
}

.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;
  display: none;
}

.icon-mobile-nav {
  height: 4.8rem;
  width: 4.8rem;
  color: #333;
}

.icon-mobile-nav[name="close-outline"] {
  display: none;
}

@media (max-width: 75em) {
  html {
    font-size: 9px;
  }
  .grid {
    column-gap: 4.8rem;
    row-gap: 6.4rem;
  }

  .heading-secondary {
    font-size: 3.6rem;
  }
  .header-teritiary {
    font-size: 2.4rem;
  }

  .header {
    padding: 0 3.2rem;
  }

  .hero {
    gap: 4.8rem;
  }

  .main-nav-list {
    gap: 3.2rem;
  }

  .testimonials-container {
    padding: 9.6rem 3.2rem;
  }
}

.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;
  display: none;
}

.icon-mobile-nav {
  height: 4.8rem;
  width: 4.8rem;
  color: #333;
}

.nav-open .icon-mobile-nav[name="close-outline"] {
  display: block;
}

@media (max-width: 59em) {
  html {
    font-size: 50%;
  }

  .hero {
    grid-template-columns: 1fr;
    padding: 0 8rem;
  }

  .hero-img {
    width: 60%;
  }
  .hero-img-box,
  .hero-text-box {
    text-align: center;
  }

  .delivered-meals {
    justify-content: center;
    margin-top: 3.2rem;
  }

  .logo img {
    height: 2.4rem;
  }

  .step-number {
    font-size: 7.4rem;
  }

  .meal-content {
    padding: 2.4rem 3.2rem 3.2rem 3.2rem;
  }

  .section-testimonials {
    grid-template-columns: 1fr;
  }

  .gallery {
    grid-template-columns: repeat(6, 1fr);
  }
  .cta {
    grid-template-columns: 3fr 2fr;
  }

  .cta-form {
    grid-template-columns: 1fr;
  }

  .btn--form {
    margin-top: 1.2rem;
  }

  .btn-mobile-nav {
    display: block;
  }

  .main-nav {
    background-color: blue;
    position: absolute;
    top: 0;
    left: 0;
    height: 100vh;
    transform: translateX(100%);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease-in;
    opacity: 0;
    pointer-events: none;

    visibility: hidden;
  }

  .nav-open .main-nav {
    opacity: 1;

    pointer-events: auto;
    visibility: visible;
  }

  .main-nav-list {
    flex-direction: column;
    gap: 4.8rem;
  }

  .main-nav-link:link,
  .main-nav-link:visited {
    font-size: 3rem;
  }
}

@media (max-width: 44em) {
  .grid--3-cols,
  .grid--4-cols {
    grid-template-columns: repeat(2, 1fr);
  }

  .diets {
    grid-column: 1/-1;
    justify-self: center;
  }

  .heading-secondary {
    margin-bottom: 4.8rem;
  }

  .pricing-plan {
    width: 100%;
  }

  .grid--footer {
    grid-template-columns: 1fr 1fr 1fr;
  }

  .nav-col {
    grid-template-columns: repeat(6, 1fr);
  }

  .logo-col,
  .address-col {
    grid-column: span 3;
  }
}




@media (max-width:34em) {

  .grid{
    row-gap: 4.8rem;
  }


.grid--2-cols,
.grid--3-cols,
.grid--4-cols{
  grid-template-columns: repeat(2,1fr);
}
 .hero{

padding: 0 3.2rem;

 }

.section-hero{
  padding: 2.4rem 0 6.4rem 0;
}

.btn,
.btn:link,
.btn:visited{


padding: 2.4rem 1.6rem;

}

.hero-img{


width: 80%;

}


.logos img{

height: 1.2rem;
  
}

.step-img-box:nth-child(2){
  grid-row: 1;
}

.step-img-box:nth-child(6){
  grid-row: 5;
}

.step-img-box{
  transform: translateY(2.4rem);
}

.testimonials{


grid-template-columns: 1fr;

}



.gallary{
  grid-template-columns: repeat(4,1fr);
}

.cta{
  grid-template-columns: 1fr;
}

.cta-text-box{
  padding: 3.2rem;
}

.cta-img-box{

  height: 36rem;
}




}
